import 'package:wyatt_ui_components/wyatt_ui_components.dart';
import 'package:wyatt_ui_components_example/components/custom_bottom_bar.dart';
import 'package:wyatt_ui_components_example/components/custom_error_widget.dart';
import 'package:wyatt_ui_components_example/components/custom_loader_widget.dart';
import 'package:wyatt_ui_components_example/components/custom_root_app_bar.dart';
import 'package:wyatt_ui_components_example/components/custom_second_app_bar.dart';

class AppThemeComponent {
  static ComponentThemeData get components => ComponentThemeData.raw(
        topAppBars: const {
          'root': CustomRootAppBar(),
          'second': CustomSecondAppBar(),
        }.registry(),
        bottomNavigationBars: const CustomBottomNavigationBar().registry(),
        errors: const CustomErrorWidget().registry(),
        loaders: const CustomLoaderWidget().registry(),
      );
}
