## 0.5.1+3

 - upgrade deps

## 0.5.1+2

 - **FIX**(authentication_bloc): upgrade google sign to his major v.
 - **FIX**: apply dart format.
 - **FIX**: apply dart fix --apply.
 - **FIX**(authentication_bloc): go router version refactoring.
 - **FIX**: use correct behavior subject for stream session.

## 0.5.1+1

 - **FIX**: use correct behavior subject for stream session.

## 0.5.1

 - **FIX**(authentication): try/catch on cache retrieve.
 - **FEAT**(auth): add mocked cache data source.

## 0.5.0+1

 - **REFACTOR**(authentication): controle cache checking.

## 0.5.0

> Note: This release has breaking changes.

 - **REFACTOR**: remove cross package export.
 - **REFACTOR**: remove cross package export.
 - **REFACTOR**: use custom user changes stream.
 - **REFACTOR**: make signup/in, passwordreset cubit extendable.
 - **FIX**: make sur access token is available on every steps.
 - **FIX**: anonymous sign in event.
 - **FIX**: initialize account stream transformer.
 - **FIX**: stream on null account.
 - **FIX**: handle empty provider list (closes #113).
 - **FEAT**: add mock + local storage.
 - **FEAT**: remove session wrapper for AuthenticationSession.
 - **FEAT**: add account edit cubit.
 - **FEAT**: add custom routine, and documentation.
 - **FEAT**: add full event support.
 - **DOCS**: update example with multiple data sources.
 - **DOCS**: add full dartdoc.
 - **DOCS**: add wiki script.
 - **DOCS**: update example.
 - **DOCS**: update example.
 - **BREAKING** **REFACTOR**: split data sources (cache, session, external).
 - **BREAKING** **REFACTOR**: use mixins, and remove use of onSignUpSuccess.
 - **BREAKING** **FEAT**: add event type on auth change.

## 0.4.1

 - **REFACTOR**: use fromFirebaseUser factory to parse user.
 - **REFACTOR**: update deps and re-export them.
 - **FIX**: fix mock on register.
 - **FEAT**: add google sign in in signIn cubit.
 - **FEAT**: add google sign in parameter in firebase data source constructor.
 - **FEAT**: add google sign_in support (closes #59).
 - **FEAT**: add reauthenticate, updateEmail and updatePassword.
 - **DOCS**: add correct header.

## 0.4.0+3

 - Update a dependency to the latest release.

## 0.4.0+2

 - Update a dependency to the latest release.

## 0.4.0+1

 - **FIX**: add sort of mutex on onAuthChanges callback trigger.

## 0.4.0

> Note: This release has breaking changes.

 - **REFACTOR**: update example with new input builders.
 - **FIX**: add initial null account event in stream in the mock authentication.
 - **BREAKING** **FIX**: add signInWithEmailAndPassword and signInAnonymously methods in SignInCubit #26.

## 0.3.0+1

 - **FIX**: fix some bugs to validate publishing.

## 0.3.0

> Note: This release has breaking changes.

 - **REFACTOR**: use correct deps.
 - **REFACTOR**: update example with new listeners.
 - **FIX**: return exception and not throwing it anymore.
 - **FIX**: exception returns msg as message.
 - **FEAT**: add fully functionnal mock data source.
 - **FEAT**: add toString and equality on entities and models.
 - **BREAKING** **FEAT**: add email verification, password reset support.

## 0.2.1+6

 - Update a dependency to the latest release.

## 0.2.1+5

 - Update a dependency to the latest release.

## 0.2.1+4

 - Update a dependency to the latest release.

## 0.2.1+3

 - Update a dependency to the latest release.

## 0.2.1+2

 - Update a dependency to the latest release.

## 0.2.1+1

 - Update a dependency to the latest release.

## 0.2.1

 - **FEAT**: add google, facebook, apple, twitter login.

## 0.2.0+1

 - Update a dependency to the latest release.

## 0.2.0

 - Graduate package to a stable release. See pre-releases prior to this version for changelog entries.

## 0.2.0-dev.0

> Note: This release has breaking changes.

 - **BREAKING** **FEAT**: rename package.

## 0.1.0

Custom states

- Add SignUpState customization with FormData
- Add UserData in AuthenticationState
- Start/Stop AuthenticationCubit on demand

## 0.0.2

Add some Sugar.

- Add AuthenticationBuilder
- Add isNewUser
- Replace AuthenticationBloc by AuthenticationCubit
- Update firebase_auth

## 0.0.1

Initial release

- New repo: Firebase Auth
    * [sign up] email/password
    * [sign in] email/password
- Form Validator
